Select Moodle version:

Themes: Flexi_ii

theme_flexi_ii
A theme for admins who do not have regular access to server files. It has a very comprehensive settings page to allow changes to the theme.
Maintained by: Picture of Richard Oelmann Richard Oelmann
for Moodle
2.0, 2.1

Flexi_ii is a development of the original flexi theme. It is designed to have a comprehensive settings page to enable admin users who do not have regular access to server files to be able to easily customise the entire look of their site.

Screenshots

screenshot

Contributors

Picture of Richard Oelmann
Richard Oelmann (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Apinya Burisri
    Sat, Dec 31, 2011, 11:40 AM
    good
  • Picture of AL Rachels
    Mon, Mar 5, 2012, 3:28 AM
    I really like this theme because of the ease of changing items on the settings page to make the site look exactly how you want it to. However, I haven't found any way to get debug information to show up at the bottom of the page when needed. Is that possible?
  • Picture of Richard Oelmann
    Sun, Apr 1, 2012, 2:45 PM
    Hi Al,
    Yes it should be - I plan on taking a long look at flexi over the next couple of weeks though as it has been on my to-do list for a few months so I will add this to the points to look at for you and get back to you shortly.
  • Picture of Cameron Penna
    Mon, Apr 30, 2012, 2:26 PM
    Hi Richard, Great theme it is very useful. Perhaps you are already aware of this, but in the event you are not... I had someone point out that when you are reviewing quiz results or viewing activity completion reports that go wider than your browser you cannot see all the content and doesn't scroll to the right. I have made the following change to provide a fix.
    In the file style/pagelayout.css add this to the end of the file

    .pagelayout-report #page-content #region-main-box #region-post-box #region-main-wrap #region-main-pad #region-main .region-content .no-overflow {overflow: auto;}

    We are running Moodle 2.1.4 but this seems ok for 2.2 and 2.3 also
  • Picture of Ray Green
    Fri, Jul 20, 2012, 12:30 PM
    I love this theme and appreciate the help you have given me in the past.
    I have just updated to Moodle 2.3.1+ and I am getting this error message:
    Strict Standards: Declaration of flexi_ii_expand_navigation::initialise() should be compatible with that of global_navigation::initialise() in C:\inetpub\wwwroot\Clientsmoodle\theme\flexi_ii\lib.php on line 1968 Strict Standards: Declaration of flexi_ii_expand_navigation::load_section_activities() should be compatible with that of global_navigation::load_section_activities() in C:\inetpub\wwwroot\Clientsmoodle\theme\flexi_ii\lib.php on line 1968
    I have no idea if it is because of changes I have made or something else.
    Any thoughts would be greatly appreciated.
    Ray
  • Picture of Adrián Argüelles
    Tue, Aug 21, 2012, 1:02 AM
    Agregar un comentario...Hello

    I had the same problem as Ray Green. I did the following:

    File lib.php decaf theme copy the contents of
    global_navigation extends decaf_expand_navigation class {...}
    Only what is in braces!
    and paste to replace just as there are in the same class of the same theme file flexi_ii

    Greetings from Buenos Aires, Adrian. -
Please login to post comments